// component/teacher/teacherFault/teacherFault.ts
Component({
    /**
     * 组件的属性列表
     */
    properties: {

    },

    /**
     * 组件的初始数据
     */
    data: {
        //判断当前页面显示哪个view
        pageState: 0,
        pageStateText: ['故障报修', '报修记录'],
        //故障报修界面所用数据
        fault: ['紧急', '不紧急'],
        faultIndex: 0,
        region: ['北京市', '北京市', '海淀区'],
        schoolArray: ['中国', '美国', '巴西', '日本'],
        schoolIndex: 0,
        classArray: ['一年级一班', '一年级2班', '一年级3班', '一年级4班'],
        classIndex: 0,
        deviceId: '',
        faultText: ""

    },

    /**
     * 组件的方法列表
     */
    methods: {

        //选择是故障报修界面还是报修记录界面
        bindPageChange: function (event: any) {
            console.log("event.detail.value:", event.detail.value)
            this.setData({
                pageState: event.detail.value
            })
        },


        //选择是否紧急
        bindFaultChange: function (event: any) {
            this.setData({
                faultIndex: event.detail.value
            })
        },

        //选择地区回调
        bindRegionChange: function (event: any) {
            this.setData({
                region: event.detail.value
            })
        },
        //选择学校回调
        bindSchoolPicker: function (event: any) {
            let newArray;
            switch (Number(event.detail.value)) {
                case 0:
                    newArray = ["一", "二", "三"];
                    this.setData({
                        classArray: newArray,
                        classIndex: 0
                    })
                    break;
                case 1:
                    newArray = ["4", "5", "6"];
                    this.setData({
                        classArray: newArray,
                        classIndex: 0
                    })
                    break;
                case 2:
                    newArray = ["as", "ad", "af"];
                    this.setData({
                        classArray: newArray,
                        classIndex: 0
                    })
                    break;
                case 3:
                    newArray = ["b1", "b2", "b3"];
                    this.setData({
                        classArray: newArray,
                        classIndex: 0
                    })
                    break;
            }
            this.setData({
                schoolIndex: event.detail.value
            })
        },
        //选择班级回调
        bindClssPicker: function (event: any) {
            this.setData({
                classIndex: event.detail.value
            })
        },


        //获取设备ID的输入
        bindDeviceInput(event: any) {
            this.setData({
                deviceId: event.detail.value
            })
        },

        //获取故障描述输入
        bindFaultText: function (event: any) {
            this.setData({
                faultText: event.detail.value
            })
        },

        //提交故障
        submitFault: function (event: any) {
            if (!this.data.deviceId) {
                wx.showToast({
                    title: '请输入设备ID',
                    icon: 'none',    //如果要纯文本，不要icon，将值设为'none'
                    duration: 1000
                })
                return;
            }
            if (!this.data.faultText) {
                wx.showToast({
                    title: '请输入故障描述',
                    icon: 'none',    //如果要纯文本，不要icon，将值设为'none'
                    duration: 1000
                })
                return;
            }

            let params = {
                address: this.data.region[0] + "--" + this.data.region[1] + "--" + this.data.region[2],
                school: this.data.schoolArray[this.data.schoolIndex],
                class: this.data.classArray[this.data.classIndex],
                deviceId: this.data.deviceId,
                fault: this.data.fault[this.data.faultIndex],
                faultText: this.data.faultText

            }
            let that = this;
            wx.showModal({
                title: '',
                content: '报修成功',
                success: function (res) {
                    if (res.confirm) {
                        console.log('点击确认回调')
                        that.setData({
                            pageState: 1
                        })
                    } else {
                        console.log('点击取消回调')
                    }
                }
            })

            console.log("params:", params)
        }

    }
})
